## GDataGDName

GDataGDName — GData name element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGDName * | gdata_gd_name_new ()
const gchar * | gdata_gd_name_get_given_name ()
void | gdata_gd_name_set_given_name ()
const gchar * | gdata_gd_name_get_additional_name ()
void | gdata_gd_name_set_additional_name ()
const gchar * | gdata_gd_name_get_family_name ()
void | gdata_gd_name_set_family_name ()
const gchar * | gdata_gd_name_get_prefix ()
void | gdata_gd_name_set_prefix ()
const gchar * | gdata_gd_name_get_suffix ()
void | gdata_gd_name_set_suffix ()
const gchar * | gdata_gd_name_get_full_name ()
void | gdata_gd_name_set_full_name ()

## Properties

gchar * | additional-name | Read / Write
gchar * | family-name | Read / Write
gchar * | full-name | Read / Write
gchar * | given-name | Read / Write
gchar * | prefix | Read / Write
gchar * | suffix | Read / Write

## Types and Values

| GDataGDName
| GDataGDNameClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGDName

## Implemented Interfaces

GDataGDName implements GDataComparable.

## Includes

    #include <gdata/gd/gdata-gd-name.h>

## Description

GDataGDName represents a "name" element from the

GData specification.

Given a name such as `Sir Winston Leonard Spencer-Churchill, KG`, the properties of the GDataGDName should be set as follows:

“given-name” | Winston
“additional-name” | Leonard
“family-name” | Spencer-Churchill
“prefix” | Sir
“suffix” | KG

## Functions

### gdata_gd_name_new ()

    GDataGDName *
    gdata_gd_name_new (const gchar *given_name,
                       const gchar *family_name);

Creates a new GDataGDName. More information is available in the GData specification.

#### Parameters

given_name | the person's given name, or `NULL`. | [allow-none]
family_name | the person's family name, or `NULL`. | [allow-none]

#### Returns

a new GDataGDName, or `NULL`; unref with `g_object_unref()`

Since: 0.5.0

### gdata_gd_name_get_given_name ()

    const gchar *
    gdata_gd_name_get_given_name (GDataGDName *self);

Gets the “given-name” property.

#### Parameters

self | a GDataGDName |

#### Returns

the person's given name, or `NULL`

Since: 0.5.0

### gdata_gd_name_set_given_name ()

    void
    gdata_gd_name_set_given_name (GDataGDName *self,
                                  const gchar *given_name);

Sets the “given-name” property to `given_name` .

#### Parameters

self | a GDataGDName |
given_name | the new given name, or `NULL`. | [allow-none]

Since: 0.5.0

### gdata_gd_name_get_additional_name ()

    const gchar *
    gdata_gd_name_get_additional_name (GDataGDName *self);

Gets the “additional-name” property.

#### Parameters

self | a GDataGDName |

#### Returns

the person's additional name, or `NULL`

Since: 0.5.0

### gdata_gd_name_set_additional_name ()

    void
    gdata_gd_name_set_additional_name (GDataGDName *self,
                                       const gchar *additional_name);

Sets the “additional-name” property to `additional_name` .

#### Parameters

self | a GDataGDName |
additional_name | the new additional name, or `NULL`. | [allow-none]

Since: 0.5.0

### gdata_gd_name_get_family_name ()

    const gchar *
    gdata_gd_name_get_family_name (GDataGDName *self);

Gets the “family-name” property.

#### Parameters

self | a GDataGDName |

#### Returns

the person's family name, or `NULL`

Since: 0.5.0

### gdata_gd_name_set_family_name ()

    void
    gdata_gd_name_set_family_name (GDataGDName *self,
                                   const gchar *family_name);

Sets the “family-name” property to `family_name` .

#### Parameters

self | a GDataGDName |
family_name | the new family name, or `NULL`. | [allow-none]

Since: 0.5.0

### gdata_gd_name_get_prefix ()

    const gchar *
    gdata_gd_name_get_prefix (GDataGDName *self);

Gets the “prefix” property.

#### Parameters

self | a GDataGDName |

#### Returns

the person's name prefix, or `NULL`

Since: 0.5.0

### gdata_gd_name_set_prefix ()

    void
    gdata_gd_name_set_prefix (GDataGDName *self,
                              const gchar *prefix);

Sets the “prefix” property to `prefix` .

#### Parameters

self | a GDataGDName |
prefix | the new prefix, or `NULL`. | [allow-none]

Since: 0.5.0

### gdata_gd_name_get_suffix ()

    const gchar *
    gdata_gd_name_get_suffix (GDataGDName *self);

Gets the “suffix” property.

#### Parameters

self | a GDataGDName |

#### Returns

the person's name suffix, or `NULL`

Since: 0.5.0

### gdata_gd_name_set_suffix ()

    void
    gdata_gd_name_set_suffix (GDataGDName *self,
                              const gchar *suffix);

Sets the “suffix” property to `suffix` .

#### Parameters

self | a GDataGDName |
suffix | the new suffix, or `NULL`. | [allow-none]

Since: 0.5.0

### gdata_gd_name_get_full_name ()

    const gchar *
    gdata_gd_name_get_full_name (GDataGDName *self);

Gets the “full-name” property.

#### Parameters

self | a GDataGDName |

#### Returns

the person's full name, or `NULL`

Since: 0.5.0

### gdata_gd_name_set_full_name ()

    void
    gdata_gd_name_set_full_name (GDataGDName *self,
                                 const gchar *full_name);

Sets the “full-name” property to `full_name` .

#### Parameters

self | a GDataGDName |
full_name | the new full name, or `NULL`. | [allow-none]

Since: 0.5.0

## Types and Values

### GDataGDName

    typedef struct _GDataGDName GDataGDName;

All the fields in the GDataGDName structure are private and should never be accessed directly.

Since: 0.5.0

### GDataGDNameClass

    typedef struct {
    } GDataGDNameClass;

All the fields in the GDataGDNameClass structure are private and should never be accessed directly.

Since: 0.5.0

## Property Details

### The `“additional-name”` property

      “additional-name”          gchar *

An additional name for the person (e.g. a middle name).

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.5.0

### The `“family-name”` property

      “family-name”              gchar *

The person's family name.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.5.0

### The `“full-name”` property

      “full-name”                gchar *

An unstructured representation of the person's full name. It's generally advised to use the other individual properties in preference to this one, which can fall out of synchronisation with the other properties.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.5.0

### The `“given-name”` property

      “given-name”               gchar *

The person's given name.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.5.0

### The `“prefix”` property

      “prefix”                   gchar *

An honorific prefix (e.g. `Mr` or `Mrs`).

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.5.0

### The `“suffix”` property

      “suffix”                   gchar *

An honorific suffix (e.g. `san` or `III`).

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.5.0